Change Preferred Team

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API helps in changing the preferred team that the user wants to view on the left panel in the WorkDrive web application.

Endpoints

OAuth Scope

WorkDrive.team.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request PATCH \
  --url https://www.zohoapis.com/workdrive/api/v1/teams/{team_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"is_preferred":true},"type":"teams"}}'

Path Parameters

team_idstring(Required)

The unique ID that represents a team.

Request Body

application/vnd.api+json

The team attributes to update, such as name, description, color, visibility, or preferred team flag.

dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
is_preferredboolean(Required)

Mention "true" to set the current team as the preferred team.

typestring(Required)

The JSON:API resource type. Always "teams".

Allowed Values :
Show Values
teamsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "is_preferred": true
      },
      "type": "teams"
    }
  }
                
Show full

Response Example

R008

T004

T004

F000

200
200
401
500
Copied!
  {
    "data": {
      "id": "ly9zmae16b43c258f458a9a57ac02c4f8d763",
      "type": "teams",
      "attributes": {
        "modified_time_i18": "Apr12,10:06PM",
        "member_type": 1,
        "plan_type": 0,
        "link_start_characters": "OCgNc",
        "color": "#B5CC18",
        "description": "",
        "storage_info": {
          "size": "5.18MB",
          "storage_used": "5.18MB",
          "files_count": 5,
          "folders_count": 0,
          "size_in_bytes": 5426572,
          "storage_used_in_bytes": 5426572
        },
        "is_discoverable": false,
        "is_current_user_admin": true,
        "created_time_i18": "Apr12,9:42PM",
        "unread_count": 0,
        "modified_time_in_millisecond": 1618245365827,
        "modified_time": "Apr12,10:06PM",
        "is_preferred": true,
        "role_id": 32,
        "member_status": 1,
        "is_integrated_with_app": false,
        "logo": {},
        "shared_status": "ACTIVE",
        "created_time_in_millisecond": 1618243925136,
        "superadmin_contact": "zylker@zylker.com",
        "is_last_viewed": true,
        "owner": "747937818",
        "created_time": "Apr12,9:42PM",
        "capabilities": {
          "can_read": true,
          "can_delete": true,
          "can_edit": true,
          "can_add_member": true,
          "can_create_private_workspace": true,
          "can_create_workspace": true,
          "can_create_public_workspace": true,
          "can_browse_workspace": true,
          "can_manage_label": true,
          "can_manage_task": true
        },
        "is_guest_user": false,
        "watch_notification_count": 0,
        "is_directory_enabled": false,
        "invited_by": "Zylker Creation",
        "notification_count": 0,
        "is_partof": true,
        "created_by": "ZylkerCreation",
        "license_status": 0,
        "enable_myspace_storage_restriction": false,
        "created_by_zuid": "747938014",
        "product_type": 1,
        "user_count": 1,
        "license_obj": {
          "purchased_for": 0,
          "purchased_by": 0,
          "policyinfo_id": 0,
          "start_date": 0,
          "billing_date": 0,
          "allowed_space": 0,
          "allowed_space_bytes": 0,
          "bundle_id": 0,
          "additional_storage": 0,
          "remaining_license_users": 0,
          "remaining_guest_users": 0,
          "allowed_external_link_creation": 0,
          "external_shared_to_users_limit": 0
        },
        "parent_id": "-1",
        "is_unread": false,
        "name": "Zylker Creation Limited",
        "is_new_notification": false,
        "is_current_user_super_admin": true
      },
      "relationships": {
        "currentuser": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/currentuser",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/currentuser"
          }
        },
        "settings": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/settings",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/settings"
          }
        },
        "installapps": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/installapps",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/installapps"
          }
        },
        "records": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/records",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/records"
          }
        },
        "libraries": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/libraries",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/libraries"
          }
        },
        "groups": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/groups",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/groups"
          }
        },
        "users": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/users",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/users"
          }
        },
        "accesschartdata": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/accesschartdata",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/accesschartdata"
          }
        },
        "license": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/license",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/license"
          }
        },
        "install": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/install",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/install"
          }
        },
        "recordsuggestions": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/recordsuggestions",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/recordsuggestions"
          }
        },
        "timeline": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/timeline",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/timeline"
          }
        },
        "workspaces": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/workspaces",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/workspaces"
          }
        },
        "datatemplates": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/datatemplates",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/datatemplates"
          }
        },
        "apps": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/relationships/apps",
            "related": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763/apps"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/teams/ly9zmae16b43c258f458a9a57ac02c4f8d763"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "T004",
        "title": "Rename team not done"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full